Click or drag to resize
RenderPlugInRenderWindow Method

[Missing <summary> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

Namespace: Rhino.PlugIns
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
protected abstract Result RenderWindow(
	RhinoDoc doc,
	RunMode modes,
	bool fastPreview,
	RhinoView view,
	Rectangle rect,
	bool inWindow
)

Parameters

doc
Type: RhinoRhinoDoc

[Missing <param name="doc"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

modes
Type: Rhino.CommandsRunMode

[Missing <param name="modes"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

fastPreview
Type: SystemBoolean

[Missing <param name="fastPreview"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

view
Type: Rhino.DisplayRhinoView

[Missing <param name="view"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

rect
Type: System.DrawingRectangle

[Missing <param name="rect"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

inWindow
Type: SystemBoolean

[Missing <param name="inWindow"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

Return Value

Type: Result

[Missing <returns> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean)"]

See Also